Builder
Keywords: net.corda.core.node.services.vault.Builder class
Date: 2023-09-18

net.corda.core.node.services.vault

## Class Builder

- net.corda.core.node.services.vault.Builder

-     public class Builder

- - ### Field Detail

    - #### INSTANCE

          public static Builder INSTANCE

  - ### Method Detail

    - #### compare

          @NotNull
          public <R extends Comparable<? super R>> net.corda.core.node.services.vault.ColumnPredicate.BinaryComparison<R> compare(@NotNull
                                                                                                                                           BinaryComparisonOperator operator,
                                                                                                                                           @NotNull
                                                                                                                                           R value)

    - #### predicate

          @NotNull
          public <O,R> net.corda.core.node.services.vault.CriteriaExpression.ColumnPredicateExpression<O,R> predicate(@NotNull
                                                                                                                               kotlin.reflect.KProperty1<O,? extends R> $this$predicate,
                                                                                                                               @NotNull
                                                                                                                               ColumnPredicate<R> predicate)

    - #### predicate

          @Deprecated
           @NotNull
          public <R> net.corda.core.node.services.vault.CriteriaExpression.ColumnPredicateExpression<java.lang.Object,R> predicate(@NotNull
                                                                                                                                                         java.lang.reflect.Field $this$predicate,
                                                                                                                                                         @NotNull
                                                                                                                                                         ColumnPredicate<R> predicate)

      Deprecated.

    - #### predicate

          @NotNull
          public <R> net.corda.core.node.services.vault.CriteriaExpression.ColumnPredicateExpression<java.lang.Object,R> predicate(@NotNull
                                                                                                                                            FieldInfo $this$predicate,
                                                                                                                                            @NotNull
                                                                                                                                            ColumnPredicate<R> predicate)

    - #### functionPredicate

          @NotNull
          public <O,R> net.corda.core.node.services.vault.CriteriaExpression.AggregateFunctionExpression<O,R> functionPredicate(@NotNull
                                                                                                                                         kotlin.reflect.KProperty1<O,? extends R> $this$functionPredicate,
                                                                                                                                         @NotNull
                                                                                                                                         ColumnPredicate<R> predicate,
                                                                                                                                         @Nullable
                                                                                                                                         java.util.List<? extends net.corda.core.node.services.vault.Column<O,? extends R>> groupByColumns,
                                                                                                                                         @Nullable
                                                                                                                                         net.corda.core.node.services.vault.Sort.Direction orderBy)

    - #### functionPredicate

          @Deprecated
           @NotNull
          public <R> net.corda.core.node.services.vault.CriteriaExpression.AggregateFunctionExpression<java.lang.Object,R> functionPredicate(@NotNull
                                                                                                                                                                   java.lang.reflect.Field $this$functionPredicate,
                                                                                                                                                                   @NotNull
                                                                                                                                                                   ColumnPredicate<R> predicate,
                                                                                                                                                                   @Nullable
                                                                                                                                                                   java.util.List<? extends net.corda.core.node.services.vault.Column<java.lang.Object,? extends R>> groupByColumns,
                                                                                                                                                                   @Nullable
                                                                                                                                                                   net.corda.core.node.services.vault.Sort.Direction orderBy)

      Deprecated.

    - #### functionPredicate

          @NotNull
          public <R> net.corda.core.node.services.vault.CriteriaExpression.AggregateFunctionExpression<java.lang.Object,R> functionPredicate(@NotNull
                                                                                                                                                      FieldInfo $this$functionPredicate,
                                                                                                                                                      @NotNull
                                                                                                                                                      ColumnPredicate<R> predicate,
                                                                                                                                                      @Nullable
                                                                                                                                                      java.util.List<? extends net.corda.core.node.services.vault.Column<java.lang.Object,? extends R>> groupByColumns,
                                                                                                                                                      @Nullable
                                                                                                                                                      net.corda.core.node.services.vault.Sort.Direction orderBy)

    - #### comparePredicate

          @NotNull
          public <O,R extends Comparable<? super R>> net.corda.core.node.services.vault.CriteriaExpression.ColumnPredicateExpression<O,R> comparePredicate(@NotNull
                                                                                                                                                                    kotlin.reflect.KProperty1<O,? extends R> $this$comparePredicate,
                                                                                                                                                                    @NotNull
                                                                                                                                                                    BinaryComparisonOperator operator,
                                                                                                                                                                    @NotNull
                                                                                                                                                                    R value)

    - #### comparePredicate

          @Deprecated
           @NotNull
          public <R extends Comparable<? super R>> net.corda.core.node.services.vault.CriteriaExpression.ColumnPredicateExpression<java.lang.Object,R> comparePredicate(@NotNull
                                                                                                                                                                                              java.lang.reflect.Field $this$comparePredicate,
                                                                                                                                                                                              @NotNull
                                                                                                                                                                                              BinaryComparisonOperator operator,
                                                                                                                                                                                              @NotNull
                                                                                                                                                                                              R value)

      Deprecated.

    - #### comparePredicate

          @NotNull
          public <R extends Comparable<? super R>> net.corda.core.node.services.vault.CriteriaExpression.ColumnPredicateExpression<java.lang.Object,R> comparePredicate(@NotNull
                                                                                                                                                                                 FieldInfo $this$comparePredicate,
                                                                                                                                                                                 @NotNull
                                                                                                                                                                                 BinaryComparisonOperator operator,
                                                                                                                                                                                 @NotNull
                                                                                                                                                                                 R value)

    - #### equal

          @JvmOverloads
           @NotNull
          public <O,R> net.corda.core.node.services.vault.CriteriaExpression.ColumnPredicateExpression<O,R> equal(@NotNull
                                                                                                                                          kotlin.reflect.KProperty1<O,? extends R> $this$equal,
                                                                                                                                          R value,
                                                                                                                                          boolean exactMatch)

    - #### equal

          @JvmOverloads
           @NotNull
          public <O,R> net.corda.core.node.services.vault.CriteriaExpression.ColumnPredicateExpression<O,R> equal(@NotNull
                                                                                                                                          kotlin.reflect.KProperty1<O,? extends R> $this$equal,
                                                                                                                                          R value)

    - #### notEqual

          @JvmOverloads
           @NotNull
          public <O,R> net.corda.core.node.services.vault.CriteriaExpression.ColumnPredicateExpression<O,R> notEqual(@NotNull
                                                                                                                                             kotlin.reflect.KProperty1<O,? extends R> $this$notEqual,
                                                                                                                                             R value,
                                                                                                                                             boolean exactMatch)

    - #### notEqual

          @JvmOverloads
           @NotNull
          public <O,R> net.corda.core.node.services.vault.CriteriaExpression.ColumnPredicateExpression<O,R> notEqual(@NotNull
                                                                                                                                             kotlin.reflect.KProperty1<O,? extends R> $this$notEqual,
                                                                                                                                             R value)

    - #### lessThan

          @NotNull
          public <O,R extends Comparable<? super R>> net.corda.core.node.services.vault.CriteriaExpression.ColumnPredicateExpression<O,R> lessThan(@NotNull
                                                                                                                                                            kotlin.reflect.KProperty1<O,? extends R> $this$lessThan,
                                                                                                                                                            @NotNull
                                                                                                                                                            R value)

    - #### lessThanOrEqual

          @NotNull
          public <O,R extends Comparable<? super R>> net.corda.core.node.services.vault.CriteriaExpression.ColumnPredicateExpression<O,R> lessThanOrEqual(@NotNull
                                                                                                                                                                   kotlin.reflect.KProperty1<O,? extends R> $this$lessThanOrEqual,
                                                                                                                                                                   @NotNull
                                                                                                                                                                   R value)

    - #### greaterThan

          @NotNull
          public <O,R extends Comparable<? super R>> net.corda.core.node.services.vault.CriteriaExpression.ColumnPredicateExpression<O,R> greaterThan(@NotNull
                                                                                                                                                               kotlin.reflect.KProperty1<O,? extends R> $this$greaterThan,
                                                                                                                                                               @NotNull
                                                                                                                                                               R value)

    - #### greaterThanOrEqual

          @NotNull
          public <O,R extends Comparable<? super R>> net.corda.core.node.services.vault.CriteriaExpression.ColumnPredicateExpression<O,R> greaterThanOrEqual(@NotNull
                                                                                                                                                                      kotlin.reflect.KProperty1<O,? extends R> $this$greaterThanOrEqual,
                                                                                                                                                                      @NotNull
                                                                                                                                                                      R value)

    - #### between

          @NotNull
          public <O,R extends Comparable<? super R>> net.corda.core.node.services.vault.CriteriaExpression.ColumnPredicateExpression<O,R> between(@NotNull
                                                                                                                                                           kotlin.reflect.KProperty1<O,? extends R> $this$between,
                                                                                                                                                           @NotNull
                                                                                                                                                           R from,
                                                                                                                                                           @NotNull
                                                                                                                                                           R to)

    - #### in

          @JvmOverloads
           @NotNull
          public <O,R extends Comparable<? super R>> net.corda.core.node.services.vault.CriteriaExpression.ColumnPredicateExpression<O,R> in(@NotNull
                                                                                                                                                                     kotlin.reflect.KProperty1<O,? extends R> $this$in,
                                                                                                                                                                     @NotNull
                                                                                                                                                                     java.util.Collection<? extends R> collection,
                                                                                                                                                                     boolean exactMatch)

    - #### in

          @JvmOverloads
           @NotNull
          public <O,R extends Comparable<? super R>> net.corda.core.node.services.vault.CriteriaExpression.ColumnPredicateExpression<O,R> in(@NotNull
                                                                                                                                                                     kotlin.reflect.KProperty1<O,? extends R> $this$in,
                                                                                                                                                                     @NotNull
                                                                                                                                                                     java.util.Collection<? extends R> collection)

    - #### notIn

          @JvmOverloads
           @NotNull
          public <O,R extends Comparable<? super R>> net.corda.core.node.services.vault.CriteriaExpression.ColumnPredicateExpression<O,R> notIn(@NotNull
                                                                                                                                                                        kotlin.reflect.KProperty1<O,? extends R> $this$notIn,
                                                                                                                                                                        @NotNull
                                                                                                                                                                        java.util.Collection<? extends R> collection,
                                                                                                                                                                        boolean exactMatch)

    - #### notIn

          @JvmOverloads
           @NotNull
          public <O,R extends Comparable<? super R>> net.corda.core.node.services.vault.CriteriaExpression.ColumnPredicateExpression<O,R> notIn(@NotNull
                                                                                                                                                                        kotlin.reflect.KProperty1<O,? extends R> $this$notIn,
                                                                                                                                                                        @NotNull
                                                                                                                                                                        java.util.Collection<? extends R> collection)

    - #### equal

          @JvmStatic
           @JvmOverloads
           @Deprecated
           @NotNull
          public static <R> net.corda.core.node.services.vault.CriteriaExpression.ColumnPredicateExpression<java.lang.Object,R> equal(@NotNull
                                                                                                                                                                                       java.lang.reflect.Field $this$equal,
                                                                                                                                                                                       R value,
                                                                                                                                                                                       boolean exactMatch)

      Deprecated.

    - #### equal

          @JvmStatic
           @JvmOverloads
           @Deprecated
           @NotNull
          public static <R> net.corda.core.node.services.vault.CriteriaExpression.ColumnPredicateExpression<java.lang.Object,R> equal(@NotNull
                                                                                                                                                                                       java.lang.reflect.Field $this$equal,
                                                                                                                                                                                       R value)

      Deprecated.

    - #### equal

          @JvmStatic
           @JvmOverloads
           @NotNull
          public static <R> net.corda.core.node.services.vault.CriteriaExpression.ColumnPredicateExpression<java.lang.Object,R> equal(@NotNull
                                                                                                                                                                          FieldInfo $this$equal,
                                                                                                                                                                          R value,
                                                                                                                                                                          boolean exactMatch)

    - #### equal

          @JvmStatic
           @JvmOverloads
           @NotNull
          public static <R> net.corda.core.node.services.vault.CriteriaExpression.ColumnPredicateExpression<java.lang.Object,R> equal(@NotNull
                                                                                                                                                                          FieldInfo $this$equal,
                                                                                                                                                                          R value)

    - #### notEqual

          @JvmStatic
           @JvmOverloads
           @Deprecated
           @NotNull
          public static <R> net.corda.core.node.services.vault.CriteriaExpression.ColumnPredicateExpression<java.lang.Object,R> notEqual(@NotNull
                                                                                                                                                                                          java.lang.reflect.Field $this$notEqual,
                                                                                                                                                                                          R value,
                                                                                                                                                                                          boolean exactMatch)

      Deprecated.

    - #### notEqual

          @JvmStatic
           @JvmOverloads
           @Deprecated
           @NotNull
          public static <R> net.corda.core.node.services.vault.CriteriaExpression.ColumnPredicateExpression<java.lang.Object,R> notEqual(@NotNull
                                                                                                                                                                                          java.lang.reflect.Field $this$notEqual,
                                                                                                                                                                                          R value)

      Deprecated.

    - #### notEqual

          @JvmStatic
           @JvmOverloads
           @NotNull
          public static <R> net.corda.core.node.services.vault.CriteriaExpression.ColumnPredicateExpression<java.lang.Object,R> notEqual(@NotNull
                                                                                                                                                                             FieldInfo $this$notEqual,
                                                                                                                                                                             R value,
                                                                                                                                                                             boolean exactMatch)

    - #### notEqual

          @JvmStatic
           @JvmOverloads
           @NotNull
          public static <R> net.corda.core.node.services.vault.CriteriaExpression.ColumnPredicateExpression<java.lang.Object,R> notEqual(@NotNull
                                                                                                                                                                             FieldInfo $this$notEqual,
                                                                                                                                                                             R value)

    - #### lessThan

          @JvmStatic
           @Deprecated
           @NotNull
          public static <R extends Comparable<? super R>> net.corda.core.node.services.vault.CriteriaExpression.ColumnPredicateExpression<java.lang.Object,R> lessThan(@NotNull
                                                                                                                                                                                                         java.lang.reflect.Field $this$lessThan,
                                                                                                                                                                                                         @NotNull
                                                                                                                                                                                                         R value)

      Deprecated.

    - #### lessThan

          @JvmStatic
           @NotNull
          public static <R extends Comparable<? super R>> net.corda.core.node.services.vault.CriteriaExpression.ColumnPredicateExpression<java.lang.Object,R> lessThan(@NotNull
                                                                                                                                                                                            FieldInfo $this$lessThan,
                                                                                                                                                                                            @NotNull
                                                                                                                                                                                            R value)

    - #### lessThanOrEqual

          @JvmStatic
           @Deprecated
           @NotNull
          public static <R extends Comparable<? super R>> net.corda.core.node.services.vault.CriteriaExpression.ColumnPredicateExpression<java.lang.Object,R> lessThanOrEqual(@NotNull
                                                                                                                                                                                                                java.lang.reflect.Field $this$lessThanOrEqual,
                                                                                                                                                                                                                @NotNull
                                                                                                                                                                                                                R value)

      Deprecated.

    - #### lessThanOrEqual

          @JvmStatic
           @NotNull
          public static <R extends Comparable<? super R>> net.corda.core.node.services.vault.CriteriaExpression.ColumnPredicateExpression<java.lang.Object,R> lessThanOrEqual(@NotNull
                                                                                                                                                                                                   FieldInfo $this$lessThanOrEqual,
                                                                                                                                                                                                   @NotNull
                                                                                                                                                                                                   R value)

    - #### greaterThan

          @JvmStatic
           @Deprecated
           @NotNull
          public static <R extends Comparable<? super R>> net.corda.core.node.services.vault.CriteriaExpression.ColumnPredicateExpression<java.lang.Object,R> greaterThan(@NotNull
                                                                                                                                                                                                            java.lang.reflect.Field $this$greaterThan,
                                                                                                                                                                                                            @NotNull
                                                                                                                                                                                                            R value)

      Deprecated.

    - #### greaterThan

          @JvmStatic
           @NotNull
          public static <R extends Comparable<? super R>> net.corda.core.node.services.vault.CriteriaExpression.ColumnPredicateExpression<java.lang.Object,R> greaterThan(@NotNull
                                                                                                                                                                                               FieldInfo $this$greaterThan,
                                                                                                                                                                                               @NotNull
                                                                                                                                                                                               R value)

    - #### greaterThanOrEqual

          @JvmStatic
           @Deprecated
           @NotNull
          public static <R extends Comparable<? super R>> net.corda.core.node.services.vault.CriteriaExpression.ColumnPredicateExpression<java.lang.Object,R> greaterThanOrEqual(@NotNull
                                                                                                                                                                                                                   java.lang.reflect.Field $this$greaterThanOrEqual,
                                                                                                                                                                                                                   @NotNull
                                                                                                                                                                                                                   R value)

      Deprecated.

    - #### greaterThanOrEqual

          @JvmStatic
           @NotNull
          public static <R extends Comparable<? super R>> net.corda.core.node.services.vault.CriteriaExpression.ColumnPredicateExpression<java.lang.Object,R> greaterThanOrEqual(@NotNull
                                                                                                                                                                                                      FieldInfo $this$greaterThanOrEqual,
                                                                                                                                                                                                      @NotNull
                                                                                                                                                                                                      R value)

    - #### between

          @JvmStatic
           @Deprecated
           @NotNull
          public static <R extends Comparable<? super R>> net.corda.core.node.services.vault.CriteriaExpression.ColumnPredicateExpression<java.lang.Object,R> between(@NotNull
                                                                                                                                                                                                        java.lang.reflect.Field $this$between,
                                                                                                                                                                                                        @NotNull
                                                                                                                                                                                                        R from,
                                                                                                                                                                                                        @NotNull
                                                                                                                                                                                                        R to)

      Deprecated.

    - #### between

          @JvmStatic
           @NotNull
          public static <R extends Comparable<? super R>> net.corda.core.node.services.vault.CriteriaExpression.ColumnPredicateExpression<java.lang.Object,R> between(@NotNull
                                                                                                                                                                                           FieldInfo $this$between,
                                                                                                                                                                                           @NotNull
                                                                                                                                                                                           R from,
                                                                                                                                                                                           @NotNull
                                                                                                                                                                                           R to)

    - #### in

          @JvmStatic
           @JvmOverloads
           @Deprecated
           @NotNull
          public static <R extends Comparable<? super R>> net.corda.core.node.services.vault.CriteriaExpression.ColumnPredicateExpression<java.lang.Object,R> in(@NotNull
                                                                                                                                                                                                                  java.lang.reflect.Field $this$in,
                                                                                                                                                                                                                  @NotNull
                                                                                                                                                                                                                  java.util.Collection<? extends R> collection,
                                                                                                                                                                                                                  boolean exactMatch)

      Deprecated.

    - #### in

          @JvmStatic
           @JvmOverloads
           @Deprecated
           @NotNull
          public static <R extends Comparable<? super R>> net.corda.core.node.services.vault.CriteriaExpression.ColumnPredicateExpression<java.lang.Object,R> in(@NotNull
                                                                                                                                                                                                                  java.lang.reflect.Field $this$in,
                                                                                                                                                                                                                  @NotNull
                                                                                                                                                                                                                  java.util.Collection<? extends R> collection)

      Deprecated.

    - #### in

          @JvmStatic
           @JvmOverloads
           @NotNull
          public static <R extends Comparable<? super R>> net.corda.core.node.services.vault.CriteriaExpression.ColumnPredicateExpression<java.lang.Object,R> in(@NotNull
                                                                                                                                                                                                     FieldInfo $this$in,
                                                                                                                                                                                                     @NotNull
                                                                                                                                                                                                     java.util.Collection<? extends R> collection,
                                                                                                                                                                                                     boolean exactMatch)

    - #### in

          @JvmStatic
           @JvmOverloads
           @NotNull
          public static <R extends Comparable<? super R>> net.corda.core.node.services.vault.CriteriaExpression.ColumnPredicateExpression<java.lang.Object,R> in(@NotNull
                                                                                                                                                                                                     FieldInfo $this$in,
                                                                                                                                                                                                     @NotNull
                                                                                                                                                                                                     java.util.Collection<? extends R> collection)

    - #### notIn

          @JvmStatic
           @JvmOverloads
           @Deprecated
           @NotNull
          public static <R extends Comparable<? super R>> net.corda.core.node.services.vault.CriteriaExpression.ColumnPredicateExpression<java.lang.Object,R> notIn(@NotNull
                                                                                                                                                                                                                     java.lang.reflect.Field $this$notIn,
                                                                                                                                                                                                                     @NotNull
                                                                                                                                                                                                                     java.util.Collection<? extends R> collection,
                                                                                                                                                                                                                     boolean exactMatch)

      Deprecated.

    - #### notIn

          @JvmStatic
           @JvmOverloads
           @Deprecated
           @NotNull
          public static <R extends Comparable<? super R>> net.corda.core.node.services.vault.CriteriaExpression.ColumnPredicateExpression<java.lang.Object,R> notIn(@NotNull
                                                                                                                                                                                                                     java.lang.reflect.Field $this$notIn,
                                                                                                                                                                                                                     @NotNull
                                                                                                                                                                                                                     java.util.Collection<? extends R> collection)

      Deprecated.

    - #### notIn

          @JvmStatic
           @JvmOverloads
           @NotNull
          public static <R extends Comparable<? super R>> net.corda.core.node.services.vault.CriteriaExpression.ColumnPredicateExpression<java.lang.Object,R> notIn(@NotNull
                                                                                                                                                                                                        FieldInfo $this$notIn,
                                                                                                                                                                                                        @NotNull
                                                                                                                                                                                                        java.util.Collection<? extends R> collection,
                                                                                                                                                                                                        boolean exactMatch)

    - #### notIn

          @JvmStatic
           @JvmOverloads
           @NotNull
          public static <R extends Comparable<? super R>> net.corda.core.node.services.vault.CriteriaExpression.ColumnPredicateExpression<java.lang.Object,R> notIn(@NotNull
                                                                                                                                                                                                        FieldInfo $this$notIn,
                                                                                                                                                                                                        @NotNull
                                                                                                                                                                                                        java.util.Collection<? extends R> collection)

    - #### equal

          @JvmOverloads
           @NotNull
          public <R> net.corda.core.node.services.vault.ColumnPredicate.EqualityComparison<R> equal(R value,
                                                                                                                            boolean exactMatch)

    - #### equal

          @JvmOverloads
           @NotNull
          public <R> net.corda.core.node.services.vault.ColumnPredicate.EqualityComparison<R> equal(R value)

    - #### notEqual

          @JvmOverloads
           @NotNull
          public <R> net.corda.core.node.services.vault.ColumnPredicate.EqualityComparison<R> notEqual(R value,
                                                                                                                               boolean exactMatch)

    - #### notEqual

          @JvmOverloads
           @NotNull
          public <R> net.corda.core.node.services.vault.ColumnPredicate.EqualityComparison<R> notEqual(R value)

    - #### lessThan

          @NotNull
          public <R extends Comparable<? super R>> net.corda.core.node.services.vault.ColumnPredicate.BinaryComparison<R> lessThan(@NotNull
                                                                                                                                            R value)

    - #### lessThanOrEqual

          @NotNull
          public <R extends Comparable<? super R>> net.corda.core.node.services.vault.ColumnPredicate.BinaryComparison<R> lessThanOrEqual(@NotNull
                                                                                                                                                   R value)

    - #### greaterThan

          @NotNull
          public <R extends Comparable<? super R>> net.corda.core.node.services.vault.ColumnPredicate.BinaryComparison<R> greaterThan(@NotNull
                                                                                                                                               R value)

    - #### greaterThanOrEqual

          @NotNull
          public <R extends Comparable<? super R>> net.corda.core.node.services.vault.ColumnPredicate.BinaryComparison<R> greaterThanOrEqual(@NotNull
                                                                                                                                                      R value)

    - #### between

          @NotNull
          public <R extends Comparable<? super R>> net.corda.core.node.services.vault.ColumnPredicate.Between<R> between(@NotNull
                                                                                                                                  R from,
                                                                                                                                  @NotNull
                                                                                                                                  R to)

    - #### in

          @JvmOverloads
           @NotNull
          public <R extends Comparable<? super R>> net.corda.core.node.services.vault.ColumnPredicate.CollectionExpression<R> in(@NotNull
                                                                                                                                                         java.util.Collection<? extends R> collection,
                                                                                                                                                         boolean exactMatch)

    - #### in

          @JvmOverloads
           @NotNull
          public <R extends Comparable<? super R>> net.corda.core.node.services.vault.ColumnPredicate.CollectionExpression<R> in(@NotNull
                                                                                                                                                         java.util.Collection<? extends R> collection)

    - #### notIn

          @JvmOverloads
           @NotNull
          public <R extends Comparable<? super R>> net.corda.core.node.services.vault.ColumnPredicate.CollectionExpression<R> notIn(@NotNull
                                                                                                                                                            java.util.Collection<? extends R> collection,
                                                                                                                                                            boolean exactMatch)

    - #### notIn

          @JvmOverloads
           @NotNull
          public <R extends Comparable<? super R>> net.corda.core.node.services.vault.ColumnPredicate.CollectionExpression<R> notIn(@NotNull
                                                                                                                                                            java.util.Collection<? extends R> collection)

    - #### like

          @JvmOverloads
           @NotNull
          public net.corda.core.node.services.vault.ColumnPredicate.Likeness like(@NotNull
                                                                                                          java.lang.String string,
                                                                                                          boolean exactMatch)

    - #### like

          @JvmOverloads
           @NotNull
          public net.corda.core.node.services.vault.ColumnPredicate.Likeness like(@NotNull
                                                                                                          java.lang.String string)

    - #### notLike

          @JvmOverloads
           @NotNull
          public net.corda.core.node.services.vault.ColumnPredicate.Likeness notLike(@NotNull
                                                                                                             java.lang.String string,
                                                                                                             boolean exactMatch)

    - #### notLike

          @JvmOverloads
           @NotNull
          public net.corda.core.node.services.vault.ColumnPredicate.Likeness notLike(@NotNull
                                                                                                             java.lang.String string)

    - #### isNull

          @NotNull
          public <R> net.corda.core.node.services.vault.ColumnPredicate.NullExpression<R> isNull()

    - #### isNotNull

          @NotNull
          public <R> net.corda.core.node.services.vault.ColumnPredicate.NullExpression<R> isNotNull()

    - #### like

          @JvmOverloads
           @NotNull
          public <O> net.corda.core.node.services.vault.CriteriaExpression.ColumnPredicateExpression<O,java.lang.String> like(@NotNull
                                                                                                                                                      kotlin.reflect.KProperty1<O,java.lang.String> $this$like,
                                                                                                                                                      @NotNull
                                                                                                                                                      java.lang.String string,
                                                                                                                                                      boolean exactMatch)

    - #### like

          @JvmOverloads
           @NotNull
          public <O> net.corda.core.node.services.vault.CriteriaExpression.ColumnPredicateExpression<O,java.lang.String> like(@NotNull
                                                                                                                                                      kotlin.reflect.KProperty1<O,java.lang.String> $this$like,
                                                                                                                                                      @NotNull
                                                                                                                                                      java.lang.String string)

    - #### like

          @JvmStatic
           @JvmOverloads
           @Deprecated
           @NotNull
          public static net.corda.core.node.services.vault.CriteriaExpression.ColumnPredicateExpression<java.lang.Object,java.lang.String> like(@NotNull
                                                                                                                                                                                                 java.lang.reflect.Field $this$like,
                                                                                                                                                                                                 @NotNull
                                                                                                                                                                                                 java.lang.String string,
                                                                                                                                                                                                 boolean exactMatch)

      Deprecated.

    - #### like

          @JvmStatic
           @JvmOverloads
           @Deprecated
           @NotNull
          public static net.corda.core.node.services.vault.CriteriaExpression.ColumnPredicateExpression<java.lang.Object,java.lang.String> like(@NotNull
                                                                                                                                                                                                 java.lang.reflect.Field $this$like,
                                                                                                                                                                                                 @NotNull
                                                                                                                                                                                                 java.lang.String string)

      Deprecated.

    - #### like

          @JvmStatic
           @JvmOverloads
           @NotNull
          public static net.corda.core.node.services.vault.CriteriaExpression.ColumnPredicateExpression<java.lang.Object,java.lang.String> like(@NotNull
                                                                                                                                                                                    FieldInfo $this$like,
                                                                                                                                                                                    @NotNull
                                                                                                                                                                                    java.lang.String string,
                                                                                                                                                                                    boolean exactMatch)

    - #### like

          @JvmStatic
           @JvmOverloads
           @NotNull
          public static net.corda.core.node.services.vault.CriteriaExpression.ColumnPredicateExpression<java.lang.Object,java.lang.String> like(@NotNull
                                                                                                                                                                                    FieldInfo $this$like,
                                                                                                                                                                                    @NotNull
                                                                                                                                                                                    java.lang.String string)

    - #### notLike

          @JvmOverloads
           @NotNull
          public <O> net.corda.core.node.services.vault.CriteriaExpression.ColumnPredicateExpression<O,java.lang.String> notLike(@NotNull
                                                                                                                                                         kotlin.reflect.KProperty1<O,java.lang.String> $this$notLike,
                                                                                                                                                         @NotNull
                                                                                                                                                         java.lang.String string,
                                                                                                                                                         boolean exactMatch)

    - #### notLike

          @JvmOverloads
           @NotNull
          public <O> net.corda.core.node.services.vault.CriteriaExpression.ColumnPredicateExpression<O,java.lang.String> notLike(@NotNull
                                                                                                                                                         kotlin.reflect.KProperty1<O,java.lang.String> $this$notLike,
                                                                                                                                                         @NotNull
                                                                                                                                                         java.lang.String string)

    - #### notLike

          @JvmStatic
           @JvmOverloads
           @Deprecated
           @NotNull
          public static net.corda.core.node.services.vault.CriteriaExpression.ColumnPredicateExpression<java.lang.Object,java.lang.String> notLike(@NotNull
                                                                                                                                                                                                    java.lang.reflect.Field $this$notLike,
                                                                                                                                                                                                    @NotNull
                                                                                                                                                                                                    java.lang.String string,
                                                                                                                                                                                                    boolean exactMatch)

      Deprecated.

    - #### notLike

          @JvmStatic
           @JvmOverloads
           @Deprecated
           @NotNull
          public static net.corda.core.node.services.vault.CriteriaExpression.ColumnPredicateExpression<java.lang.Object,java.lang.String> notLike(@NotNull
                                                                                                                                                                                                    java.lang.reflect.Field $this$notLike,
                                                                                                                                                                                                    @NotNull
                                                                                                                                                                                                    java.lang.String string)

      Deprecated.

    - #### notLike

          @JvmStatic
           @JvmOverloads
           @NotNull
          public static net.corda.core.node.services.vault.CriteriaExpression.ColumnPredicateExpression<java.lang.Object,java.lang.String> notLike(@NotNull
                                                                                                                                                                                       FieldInfo $this$notLike,
                                                                                                                                                                                       @NotNull
                                                                                                                                                                                       java.lang.String string,
                                                                                                                                                                                       boolean exactMatch)

    - #### notLike

          @JvmStatic
           @JvmOverloads
           @NotNull
          public static net.corda.core.node.services.vault.CriteriaExpression.ColumnPredicateExpression<java.lang.Object,java.lang.String> notLike(@NotNull
                                                                                                                                                                                       FieldInfo $this$notLike,
                                                                                                                                                                                       @NotNull
                                                                                                                                                                                       java.lang.String string)

    - #### isNull

          @NotNull
          public <O,R> net.corda.core.node.services.vault.CriteriaExpression.ColumnPredicateExpression<O,R> isNull(@NotNull
                                                                                                                            kotlin.reflect.KProperty1<O,? extends R> $this$isNull)

    - #### isNull

          @JvmStatic
           @Deprecated
           @NotNull
          public static net.corda.core.node.services.vault.CriteriaExpression.ColumnPredicateExpression<java.lang.Object,java.lang.Object> isNull(@NotNull
                                                                                                                                                                                    java.lang.reflect.Field $this$isNull)

      Deprecated.

    - #### isNull

          @JvmStatic
           @NotNull
          public static net.corda.core.node.services.vault.CriteriaExpression.ColumnPredicateExpression<java.lang.Object,java.lang.Object> isNull(@NotNull
                                                                                                                                                                       FieldInfo $this$isNull)

    - #### notNull

          @NotNull
          public <O,R> net.corda.core.node.services.vault.CriteriaExpression.ColumnPredicateExpression<O,R> notNull(@NotNull
                                                                                                                             kotlin.reflect.KProperty1<O,? extends R> $this$notNull)

    - #### notNull

          @JvmStatic
           @Deprecated
           @NotNull
          public static net.corda.core.node.services.vault.CriteriaExpression.ColumnPredicateExpression<java.lang.Object,java.lang.Object> notNull(@NotNull
                                                                                                                                                                                     java.lang.reflect.Field $this$notNull)

      Deprecated.

    - #### notNull

          @JvmStatic
           @NotNull
          public static net.corda.core.node.services.vault.CriteriaExpression.ColumnPredicateExpression<java.lang.Object,java.lang.Object> notNull(@NotNull
                                                                                                                                                                        FieldInfo $this$notNull)

    - #### sum

          @NotNull
          public <O,R> net.corda.core.node.services.vault.CriteriaExpression.AggregateFunctionExpression<O,R> sum(@NotNull
                                                                                                                           kotlin.reflect.KProperty1<O,? extends R> $this$sum,
                                                                                                                           @Nullable
                                                                                                                           java.util.List<? extends kotlin.reflect.KProperty1<O,? extends R>> groupByColumns,
                                                                                                                           @Nullable
                                                                                                                           net.corda.core.node.services.vault.Sort.Direction orderBy)

      aggregate functions

    - #### sum

          @JvmStatic
           @JvmOverloads
           @Deprecated
           @NotNull
          public static <R> net.corda.core.node.services.vault.CriteriaExpression.AggregateFunctionExpression<java.lang.Object,R> sum(@NotNull
                                                                                                                                                                                       java.lang.reflect.Field $this$sum,
                                                                                                                                                                                       @Nullable
                                                                                                                                                                                       java.util.List<java.lang.reflect.Field> groupByColumns,
                                                                                                                                                                                       @Nullable
                                                                                                                                                                                       net.corda.core.node.services.vault.Sort.Direction orderBy)

      Deprecated.

    - #### sum

          @JvmStatic
           @JvmOverloads
           @Deprecated
           @NotNull
          public static <R> net.corda.core.node.services.vault.CriteriaExpression.AggregateFunctionExpression<java.lang.Object,R> sum(@NotNull
                                                                                                                                                                                       java.lang.reflect.Field $this$sum,
                                                                                                                                                                                       @Nullable
                                                                                                                                                                                       java.util.List<java.lang.reflect.Field> groupByColumns)

      Deprecated.

    - #### sum

          @JvmStatic
           @JvmOverloads
           @Deprecated
           @NotNull
          public static <R> net.corda.core.node.services.vault.CriteriaExpression.AggregateFunctionExpression<java.lang.Object,R> sum(@NotNull
                                                                                                                                                                                       java.lang.reflect.Field $this$sum)

      Deprecated.

    - #### sum

          @JvmStatic
           @JvmOverloads
           @NotNull
          public static <R> net.corda.core.node.services.vault.CriteriaExpression.AggregateFunctionExpression<java.lang.Object,R> sum(@NotNull
                                                                                                                                                                          FieldInfo $this$sum,
                                                                                                                                                                          @Nullable
                                                                                                                                                                          java.util.List<net.corda.core.node.services.vault.FieldInfo> groupByColumns,
                                                                                                                                                                          @Nullable
                                                                                                                                                                          net.corda.core.node.services.vault.Sort.Direction orderBy)

    - #### sum

          @JvmStatic
           @JvmOverloads
           @NotNull
          public static <R> net.corda.core.node.services.vault.CriteriaExpression.AggregateFunctionExpression<java.lang.Object,R> sum(@NotNull
                                                                                                                                                                          FieldInfo $this$sum,
                                                                                                                                                                          @Nullable
                                                                                                                                                                          java.util.List<net.corda.core.node.services.vault.FieldInfo> groupByColumns)

    - #### sum

          @JvmStatic
           @JvmOverloads
           @NotNull
          public static <R> net.corda.core.node.services.vault.CriteriaExpression.AggregateFunctionExpression<java.lang.Object,R> sum(@NotNull
                                                                                                                                                                          FieldInfo $this$sum)

    - #### count

          @NotNull
          public <O,R> net.corda.core.node.services.vault.CriteriaExpression.AggregateFunctionExpression<O,R> count(@NotNull
                                                                                                                             kotlin.reflect.KProperty1<O,? extends R> $this$count)

    - #### count

          @JvmStatic
           @Deprecated
           @NotNull
          public static net.corda.core.node.services.vault.CriteriaExpression.AggregateFunctionExpression<java.lang.Object,java.lang.Object> count(@NotNull
                                                                                                                                                                                     java.lang.reflect.Field $this$count)

      Deprecated.

    - #### count

          @JvmStatic
           @NotNull
          public static net.corda.core.node.services.vault.CriteriaExpression.AggregateFunctionExpression<java.lang.Object,java.lang.Object> count(@NotNull
                                                                                                                                                                        FieldInfo $this$count)

    - #### avg

          @NotNull
          public <O,R> net.corda.core.node.services.vault.CriteriaExpression.AggregateFunctionExpression<O,R> avg(@NotNull
                                                                                                                           kotlin.reflect.KProperty1<O,? extends R> $this$avg,
                                                                                                                           @Nullable
                                                                                                                           java.util.List<? extends kotlin.reflect.KProperty1<O,? extends R>> groupByColumns,
                                                                                                                           @Nullable
                                                                                                                           net.corda.core.node.services.vault.Sort.Direction orderBy)

    - #### avg

          @JvmStatic
           @JvmOverloads
           @Deprecated
           @NotNull
          public static <R> net.corda.core.node.services.vault.CriteriaExpression.AggregateFunctionExpression<java.lang.Object,R> avg(@NotNull
                                                                                                                                                                                       java.lang.reflect.Field $this$avg,
                                                                                                                                                                                       @Nullable
                                                                                                                                                                                       java.util.List<java.lang.reflect.Field> groupByColumns,
                                                                                                                                                                                       @Nullable
                                                                                                                                                                                       net.corda.core.node.services.vault.Sort.Direction orderBy)

      Deprecated.

    - #### avg

          @JvmStatic
           @JvmOverloads
           @Deprecated
           @NotNull
          public static <R> net.corda.core.node.services.vault.CriteriaExpression.AggregateFunctionExpression<java.lang.Object,R> avg(@NotNull
                                                                                                                                                                                       java.lang.reflect.Field $this$avg,
                                                                                                                                                                                       @Nullable
                                                                                                                                                                                       java.util.List<java.lang.reflect.Field> groupByColumns)

      Deprecated.

    - #### avg

          @JvmStatic
           @JvmOverloads
           @Deprecated
           @NotNull
          public static <R> net.corda.core.node.services.vault.CriteriaExpression.AggregateFunctionExpression<java.lang.Object,R> avg(@NotNull
                                                                                                                                                                                       java.lang.reflect.Field $this$avg)

      Deprecated.

    - #### avg

          @JvmStatic
           @JvmOverloads
           @NotNull
          public static <R> net.corda.core.node.services.vault.CriteriaExpression.AggregateFunctionExpression<java.lang.Object,R> avg(@NotNull
                                                                                                                                                                          FieldInfo $this$avg,
                                                                                                                                                                          @Nullable
                                                                                                                                                                          java.util.List<net.corda.core.node.services.vault.FieldInfo> groupByColumns,
                                                                                                                                                                          @Nullable
                                                                                                                                                                          net.corda.core.node.services.vault.Sort.Direction orderBy)

    - #### avg

          @JvmStatic
           @JvmOverloads
           @NotNull
          public static <R> net.corda.core.node.services.vault.CriteriaExpression.AggregateFunctionExpression<java.lang.Object,R> avg(@NotNull
                                                                                                                                                                          FieldInfo $this$avg,
                                                                                                                                                                          @Nullable
                                                                                                                                                                          java.util.List<net.corda.core.node.services.vault.FieldInfo> groupByColumns)

    - #### avg

          @JvmStatic
           @JvmOverloads
           @NotNull
          public static <R> net.corda.core.node.services.vault.CriteriaExpression.AggregateFunctionExpression<java.lang.Object,R> avg(@NotNull
                                                                                                                                                                          FieldInfo $this$avg)

    - #### min

          @NotNull
          public <O,R> net.corda.core.node.services.vault.CriteriaExpression.AggregateFunctionExpression<O,R> min(@NotNull
                                                                                                                           kotlin.reflect.KProperty1<O,? extends R> $this$min,
                                                                                                                           @Nullable
                                                                                                                           java.util.List<? extends kotlin.reflect.KProperty1<O,? extends R>> groupByColumns,
                                                                                                                           @Nullable
                                                                                                                           net.corda.core.node.services.vault.Sort.Direction orderBy)

    - #### min

          @JvmStatic
           @JvmOverloads
           @Deprecated
           @NotNull
          public static <R> net.corda.core.node.services.vault.CriteriaExpression.AggregateFunctionExpression<java.lang.Object,R> min(@NotNull
                                                                                                                                                                                       java.lang.reflect.Field $this$min,
                                                                                                                                                                                       @Nullable
                                                                                                                                                                                       java.util.List<java.lang.reflect.Field> groupByColumns,
                                                                                                                                                                                       @Nullable
                                                                                                                                                                                       net.corda.core.node.services.vault.Sort.Direction orderBy)

      Deprecated.

    - #### min

          @JvmStatic
           @JvmOverloads
           @Deprecated
           @NotNull
          public static <R> net.corda.core.node.services.vault.CriteriaExpression.AggregateFunctionExpression<java.lang.Object,R> min(@NotNull
                                                                                                                                                                                       java.lang.reflect.Field $this$min,
                                                                                                                                                                                       @Nullable
                                                                                                                                                                                       java.util.List<java.lang.reflect.Field> groupByColumns)

      Deprecated.

    - #### min

          @JvmStatic
           @JvmOverloads
           @Deprecated
           @NotNull
          public static <R> net.corda.core.node.services.vault.CriteriaExpression.AggregateFunctionExpression<java.lang.Object,R> min(@NotNull
                                                                                                                                                                                       java.lang.reflect.Field $this$min)

      Deprecated.

    - #### min

          @JvmStatic
           @JvmOverloads
           @NotNull
          public static <R> net.corda.core.node.services.vault.CriteriaExpression.AggregateFunctionExpression<java.lang.Object,R> min(@NotNull
                                                                                                                                                                          FieldInfo $this$min,
                                                                                                                                                                          @Nullable
                                                                                                                                                                          java.util.List<net.corda.core.node.services.vault.FieldInfo> groupByColumns,
                                                                                                                                                                          @Nullable
                                                                                                                                                                          net.corda.core.node.services.vault.Sort.Direction orderBy)

    - #### min

          @JvmStatic
           @JvmOverloads
           @NotNull
          public static <R> net.corda.core.node.services.vault.CriteriaExpression.AggregateFunctionExpression<java.lang.Object,R> min(@NotNull
                                                                                                                                                                          FieldInfo $this$min,
                                                                                                                                                                          @Nullable
                                                                                                                                                                          java.util.List<net.corda.core.node.services.vault.FieldInfo> groupByColumns)

    - #### min

          @JvmStatic
           @JvmOverloads
           @NotNull
          public static <R> net.corda.core.node.services.vault.CriteriaExpression.AggregateFunctionExpression<java.lang.Object,R> min(@NotNull
                                                                                                                                                                          FieldInfo $this$min)

    - #### max

          @NotNull
          public <O,R> net.corda.core.node.services.vault.CriteriaExpression.AggregateFunctionExpression<O,R> max(@NotNull
                                                                                                                           kotlin.reflect.KProperty1<O,? extends R> $this$max,
                                                                                                                           @Nullable
                                                                                                                           java.util.List<? extends kotlin.reflect.KProperty1<O,? extends R>> groupByColumns,
                                                                                                                           @Nullable
                                                                                                                           net.corda.core.node.services.vault.Sort.Direction orderBy)

    - #### max

          @JvmStatic
           @JvmOverloads
           @Deprecated
           @NotNull
          public static <R> net.corda.core.node.services.vault.CriteriaExpression.AggregateFunctionExpression<java.lang.Object,R> max(@NotNull
                                                                                                                                                                                       java.lang.reflect.Field $this$max,
                                                                                                                                                                                       @Nullable
                                                                                                                                                                                       java.util.List<java.lang.reflect.Field> groupByColumns,
                                                                                                                                                                                       @Nullable
                                                                                                                                                                                       net.corda.core.node.services.vault.Sort.Direction orderBy)

      Deprecated.

    - #### max

          @JvmStatic
           @JvmOverloads
           @Deprecated
           @NotNull
          public static <R> net.corda.core.node.services.vault.CriteriaExpression.AggregateFunctionExpression<java.lang.Object,R> max(@NotNull
                                                                                                                                                                                       java.lang.reflect.Field $this$max,
                                                                                                                                                                                       @Nullable
                                                                                                                                                                                       java.util.List<java.lang.reflect.Field> groupByColumns)

      Deprecated.

    - #### max

          @JvmStatic
           @JvmOverloads
           @Deprecated
           @NotNull
          public static <R> net.corda.core.node.services.vault.CriteriaExpression.AggregateFunctionExpression<java.lang.Object,R> max(@NotNull
                                                                                                                                                                                       java.lang.reflect.Field $this$max)

      Deprecated.

    - #### max

          @JvmStatic
           @JvmOverloads
           @NotNull
          public static <R> net.corda.core.node.services.vault.CriteriaExpression.AggregateFunctionExpression<java.lang.Object,R> max(@NotNull
                                                                                                                                                                          FieldInfo $this$max,
                                                                                                                                                                          @Nullable
                                                                                                                                                                          java.util.List<net.corda.core.node.services.vault.FieldInfo> groupByColumns,
                                                                                                                                                                          @Nullable
                                                                                                                                                                          net.corda.core.node.services.vault.Sort.Direction orderBy)

    - #### max

          @JvmStatic
           @JvmOverloads
           @NotNull
          public static <R> net.corda.core.node.services.vault.CriteriaExpression.AggregateFunctionExpression<java.lang.Object,R> max(@NotNull
                                                                                                                                                                          FieldInfo $this$max,
                                                                                                                                                                          @Nullable
                                                                                                                                                                          java.util.List<net.corda.core.node.services.vault.FieldInfo> groupByColumns)

    - #### max

          @JvmStatic
           @JvmOverloads
           @NotNull
          public static <R> net.corda.core.node.services.vault.CriteriaExpression.AggregateFunctionExpression<java.lang.Object,R> max(@NotNull
                                                                                                                                                                          FieldInfo $this$max)